<?php

#############################################################################
#Phenotyper - a tool for collecting phenotyping data using mobile terminals
#Copyright (C) 2015,  jgremmels(at)bioinformatics.org
#
#Phenotyper is free software: you can redistribute it and/or modify
#it under the terms of the GNU General Public License as published by
#the Free Software Foundation, either version 3 of the License, or
#any later version.
#
#This program is distributed in the hope that it will be useful,
#but WITHOUT ANY WARRANTY; without even the implied warranty of
#MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#GNU General Public License for more details.
#
#You should have received a copy of the GNU General Public License
#along with this program.  If not, see <http://www.gnu.org/licenses/>
#
#Contributors:
# - Kenny Billiau
# - jgremmels(at)bioinformatics.org
#############################################################################

class ufile extends AppModel {

	var $name = 'ufile';
	var $validate = array(
		#'submitter' => array(
		#	'notempty' => array(
		#		'rule' => array('notempty'),
		#		//'message' => 'Your custom message here',
		#		//'allowEmpty' => false,
		#		//'required' => false,
		#		//'last' => false, // Stop validation after this rule
		#		//'on' => 'create', // Limit validation to 'create' or 'update' operations
		#	),
		#),
		'name' => array(
			'notempty' => array(
				'rule' => array('notempty'),
				//'message' => 'Your custom message here',
				//'allowEmpty' => false,
				//'required' => false,
				//'last' => false, // Stop validation after this rule
				//'on' => 'create', // Limit validation to 'create' or 'update' operations
			),
		),
	);
	//The Associations below have been created with all possible keys, those that are not needed can be removed

	var $hasMany = array('Testobject');

    var $hasAndBelongsToMany = array(
        'Keyword' => array(
            'className' => 'Keyword',
            'joinTable' => 'ufilekeywords',
            'foreignKey' => 'ufile_id',
            'associationForeignKey' => 'keyword_id',
            'unique' => true,
            'conditions' => '',
            'fields' => '',
            'order' => '',
            'limit' => '',
            'offset' => '',
            'finderQuery' => '',
            'deleteQuery' => '',
            'insertQuery' => ''),
    );

    var $belongsTo = array('Person');

    var $actsAs = array('Containable');

	 function find_duplicates() {
        $q = "select * from ufiles UFile
            join (select id, name from ufiles where invalid is NULL or invalid = 0) as f2
            where UFile.name = f2.name
            and UFile.id > f2.id
            and (UFile.invalid is NULL or UFile.invalid = 0)";
        return $this->query($q);
    }
	
}
?>
